// I8KFAN.C - just parse the arguments and call 'hlcontrol'
// Author: MH
#include <stdio.h>

extern int __cdecl hlcontrol( int fan, int speed );

int main( int argc, char* argv[] )
{
  int i;
  
  if( argc != 3 )
  {
    printf( "Inspiron 8000 fan control utility V1.0 - extracted and optimized by MH\n" );
    printf( "\nUsage: I8KFAN <inner fan speed> <outer fan speed>\n" );
    printf( "       Fan speeds: 2=high, 1=slow, 0=off, -=don't change\n" );
    printf( "       Example: I8KFAN 1 1 -> set both fans to slow speed\n\n" );
    return 0;
  }

  for( i=1; i<argc; i++ )
  {
    switch( *argv[i] )
    {
      case '0': 
      case '1':
      case '2': hlcontrol( i==1?1:0, *argv[i]-'0' );
      		break;
      
      case '-':	break;
      
      default:  printf( "Ignoring unknown option '%s'\n", argv[i] );
      		break;
    }
  }
  
  return 0;	
}
